CREATE TABLE hrc_dl_dataset_details (
    DATA_SET_BUS_OBJ_ID           NUMBER(18, 0),
    DATA_FILE_NAME                VARCHAR2(800),
    BUSINESS_OBJECT_ID            NUMBER(18, 0)    NOT NULL,
    TRANSFER_STATUS               VARCHAR2(120)    NOT NULL,
    IMPORTED_STATUS               VARCHAR2(120)    NOT NULL,
    LOADED_STATUS                 VARCHAR2(120)    NOT NULL,
    IMPORT_LINES_SUCCESS_COUNT    NUMBER(9, 0)     NOT NULL,
    IMPORT_LINES_ERROR_COUNT      NUMBER(9, 0)     NOT NULL,
    IMPORT_LINES_TOTAL_COUNT      NUMBER(9, 0)     NOT NULL,
    IMPORT_SUCCESS_COUNT          NUMBER(9, 0)     NOT NULL,
    IMPORT_ERROR_COUNT            NUMBER(9, 0)     NOT NULL,
    VALIDATED_COUNT               NUMBER(9, 0)     NOT NULL,
    LOADED_COUNT                  NUMBER(9, 0)     NOT NULL,
    ERROR_COUNT                   NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                    NUMBER(18, 0),
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    DATA_SET_ID                   NUMBER(18, 0)    NOT NULL,
    DS_BO_CREATION_DATE           TIMESTAMP(6) ,
    DS_BO_LAST_UPDATE_DATE        TIMESTAMP(6) ,
    PROCESSING_ORDER              NUMBER(18, 0),
    CORRECTED_COUNT               NUMBER(9, 0)     NOT NULL,
    UNPROCESSED_COUNT             NUMBER(9, 0)     NOT NULL,
    ROLLBACK_ERROR_COUNT          NUMBER(9, 0)     NOT NULL,
    DAT_FILE_SIZE                 NUMBER(18, 0),
    MSG_COUNT                     NUMBER(9, 0) ,
    DATA_SET_BUS_OBJ_ID           NUMBER(18, 0),
    DATA_FILE_NAME                VARCHAR2(800),
    BUSINESS_OBJECT_ID            NUMBER(18, 0)    NOT NULL,
    TRANSFER_STATUS               VARCHAR2(120)    NOT NULL,
    IMPORTED_STATUS               VARCHAR2(120)    NOT NULL,
    LOADED_STATUS                 VARCHAR2(120)    NOT NULL,
    IMPORT_LINES_SUCCESS_COUNT    NUMBER(9, 0)     NOT NULL,
    IMPORT_LINES_ERROR_COUNT      NUMBER(9, 0)     NOT NULL,
    IMPORT_LINES_TOTAL_COUNT      NUMBER(9, 0)     NOT NULL,
    IMPORT_SUCCESS_COUNT          NUMBER(9, 0)     NOT NULL,
    IMPORT_ERROR_COUNT            NUMBER(9, 0)     NOT NULL,
    VALIDATED_COUNT               NUMBER(9, 0)     NOT NULL,
    LOADED_COUNT                  NUMBER(9, 0)     NOT NULL,
    ERROR_COUNT                   NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                    NUMBER(18, 0),
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    DATA_SET_ID                   NUMBER(18, 0)    NOT NULL,
    DS_BO_CREATION_DATE           TIMESTAMP(6) ,
    DS_BO_LAST_UPDATE_DATE        TIMESTAMP(6) ,
    PROCESSING_ORDER              NUMBER(18, 0),
    CORRECTED_COUNT               NUMBER(9, 0)     NOT NULL,
    UNPROCESSED_COUNT             NUMBER(9, 0)     NOT NULL,
    ROLLBACK_ERROR_COUNT          NUMBER(9, 0)     NOT NULL,
    DAT_FILE_SIZE                 NUMBER(18, 0),
    MSG_COUNT                     NUMBER(9, 0) ,
    CONSTRAINT pk_hrc_dl_dataset_details PRIMARY KEY (DATA_SET_BUS_OBJ_ID, DATA_SET_BUS_OBJ_ID)
);
